Skip to content

POST Update space object scale

POST /spaces/{roomId}/objects/{objectId}/updateScale: Update space object scale. Required scopes: space:write

POSThttps://api.rooom.com/spaces/{roomId}/objects/{objectId}/updateScale
Try it out
space:write

Parameters

Path Parameters

NameTypeDescription
roomIdrequired
Example: _roomId_
stringRoom identifier.
objectIdrequiredstringObject identifier.

Body

multipart/form-data
NameTypeDescription
scalenumberGeneral scale
scale-xnumberX-scale
scale-ynumberY-scale
scale-znumberZ-scale

Responses

200Updated scale
401Missing scope or not the space owner
404Space or space object not found
POST /spaces/{roomId}/objects/{objectId}/updateScale Update space object scale Required scopes: space:write roomId Room identifier. objectId Object identifier. scale General scale scale-x X-scale scale-y Y-scale scale-z Z-scale